Skip to Content

List a flow's registrations

Returns every Meta flow the flow's versions registered as, newest version first, with its status on its business account.

GET
/v1/whatsapp/flows/{id}/registrations

Returns every Meta flow the flow's versions registered as, newest version first, with its status on its business account.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^waflow_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

WhatsAppFlowRegistrationList

application/json
  1. response
data*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.whatsappFlows.listRegistrations({
  "id": "example"
});
Example Response
{
  "data": [
    {
      "id": "string",
      "flowId": "string",
      "versionId": "string",
      "versionNumber": -9007199254740991,
      "wabaId": "string",
      "providerFlowId": "string",
      "name": "string",
      "status": "draft",
      "validationErrors": [
        {
          "error": "string",
          "message": "string",
          "path": "string",
          "line": -9007199254740991,
          "column": -9007199254740991
        }
      ],
      "endpointAlerts": [
        {
          "kind": "string",
          "message": "string",
          "value": 0,
          "threshold": 0,
          "activatedAt": "string"
        }
      ],
      "publishedAt": "string",
      "statusChangedAt": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Related documentation